/*
function check_email(Email)
该函数用于检验Email
Email: 表单中Email元素名称，或者Email变量名
*/
function checkMail(Email)
{
	//if (!is_item_not_null(Email, "Email地址"))
		//return false;

	var pattern = /^([.a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/; 
	flag = pattern.test(Email); 
	if(!flag)
	{

	   return false;
	}
	else
	return true;
}
//禁止全角
function isQj(elem){
  //[\u4E00-\u9FA5]汉字﹐[\uFE30-\uFFA0]全角字符
  var pattern=/[\uFE30-\uFFA0]/gi;
  if(pattern.test(elem)){
    //不为汉字
	//alert("不能用全角");
	//elem="";
	return false;
  }else{
    //输入正常
    return true;
  }
}
//含有非法字符~!@%^&*();'\"?><[]{}\\|,:/=+-""'   \$|\(|\)|\*|\+|\-|\.|\[|]|\?|\\|\^|\{|\||}|~|`|!|@|#|%|&|_|=|<|>|/|,
function havegg(elem){
  elem = elem.trim();
  var str = "$()*+-.[]?\^{\|}~`!@#%&_=<>/\",，'; ";
  for(i=0;i<elem.length;i++)
   if (str.indexOf(elem.charAt(i)) !=-1){
          return false;
      }
     return true;
}

//由a-z和A-Z组成的字符串
function isStr(elem){
	var pattern=/^[a-zA-Z]+$/;
	if(pattern.test(elem)){
		return true;
	}else{
		return false;
	}
}
//由字符串和数字字符串组成
function isStrAndInt(elem){
    var patten=/^[a-zA-Z0-9]+$/;
	if(pattern.test(elem)){
		return true;
	}else{
		return false;
	}
}
//判断字符由字母和数字，下划线,点号组成.且开头的只能是下划线和字母
function isStrin(elem){
  var pattern=/^(\b[a-zA-Z]|\b_)([a-zA-Z0-9]+(_|\.)?[a-zA-Z0-9]*)+$/;
  if(pattern.test(elem)){
    return true;
  }else{
    return false;
  }
}
//将全角字符转换为半角（目前只转换０,１,２,３,４,５,６,７,８,９,，）
function replace_qj(str)
{   
	Arryqj=new Array('０','１','２','３','４','５','６','７','８','９','，','　');
	Arrybj=new Array('0','1','2','3','4','5','6','7','8','9',',','');
    for(i=0;i<Arryqj.length;i++)
		{
		var re = eval("/"+Arryqj[i]+"/g");
		str=str.replace(re,Arrybj[i]);
		}
    return str;
}
//该函数用来检测是否是标准日期格式2004-10-12 12:33
function checkdatetime(strdatetime)
{
  if(!/^20[0-1][0-9]-\d{1,2}-\d{1,2} [0-2]{0,1}[0-9]:[0-5]{0,1}[0-9]$/g.test(strdatetime))
	return false;
  else
	return true;
}
//该函数用于检验某一个变量是不是数字，包括小数
function is_number(strvalue)
{
  if(!/^[.0-9]*$/g.test(strvalue)) 
	return false;  
 else 
   return true;
}

//trim函数
String.prototype.trim = function()
{
    return this.replace(/(^[\s,，‘'　]*)|([\s,，'’　]*$)/g, "");
}
//取字符串实际长度
String.prototype.Tlength = function(){var arr=this.match(/[^\x00-\xff]/ig);return this.length+(arr==null?0:arr.length);}

//字符串左取
String.prototype.left = function(num,mode){if(!/\d+/.test(num))return(this);var str = this.substr(0,num);if(!mode) return str;var n = str.Tlength() - str.length;num = num - parseInt(n/2);return this.substr(0,num);}

//字符串右取
String.prototype.right = function(num,mode){if(!/\d+/.test(num))return(this);var str = this.substr(this.length-num);if(!mode) return str;var n = str.Tlength() - str.length;num = num - parseInt(n/2);return this.substr(this.length-num);}

/*
替换用户名中的特殊字符“+”,新系统不存在非法字符或特殊字符，主要是以前的老用户有此情况
*/
function Replace_username(username)
{
	var regex=/\+/g;	//username中含有+号
	var usertmp;
	usertmp=username;
	if(username.indexOf("+")>0)
	{
		usertmp=username.replace(regex,"%2b");
	}
	
	regex=/\=/g			//username中含有=号
	if(username.indexOf("=")>0)
	{
		usertmp=usertmp.replace(regex,"%3d");
	}	
	return usertmp;
}

  function check_input()
  {
    if (havegg(form1.user_name.value) == false || isQj(form1.user_name.value) == false)
    {
      alert("用户名含有非法字符！");
      form1.user_name.focus();
      return false;
    }
    if(form1.user_name.value.trim() == "" || form1.user_name.value.length < 2)
    {
      alert("输入的用户名不是合法的格式！");
      form1.user_name.focus();
      return  false;
    }
    if(form1.user_pass.value.length < 6 || form1.user_pass.value.length > 16 )
    {
      alert("密码长度应为六到十六位！");
      form1.user_pass.focus();
      return  false;
    }
    if(form1.user_pass2.value != form1.user_pass.value)
    {
      alert("密码确认不相符！");
      form1.user_pass2.focus();
      return  false;
    }

  }

  // 验证邮箱
  function check_email()
  {
    var pattern = /^([.a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/;
    flag = pattern.test(form1.user_email.value);
    if(!flag)
    {
      alert("输入的E-Mail不是合法的格式！");
      form1.user_email.focus();
      return false;
    }
    else
    {
      alert("输入的E-Mail可以使用！");
      return false;
    }
  }

 // 验证手机号码
 function checkTel(v)
 { 
	var a = /^((\(\d{3}\))|(\d{3}\-))?13\d{9}|15[89]\d{8}$/ ; 
	if(!v.match(a) )
	{ 
		return false;
	}
	else
	{ 
		return true;
	} 
} 


  function checkreguser(frm)
  {
    if($("username").value<="")
	{
	  alert("用户名不能为空!");
	  $("usernamemsg").innerHTML="";
	  return;
	}
    if($("username").value.length < 2)
    {
      alert("输入的用户名不是合法的格式！");
	  $("usernamemsg").innerHTML="";
      return;
    }
    if(havegg($("username").value) == false || isQj($("username").value) == false)
    {
      alert("用户名含有非法字符！");
	  $("usernamemsg").innerHTML="";
      return ;
    }
    frm.enabled=false;
  }


  function getfile2id(file,id)
  {
    var ajaxobj=new AJAXRequest();
    ajaxobj.method="POST";
    ajaxobj.url=file;
    // 设置回调函数，输出响应内容
    ajaxobj.callback=function(xmlobj)
    {
      $(id).innerHTML=gb2utf8(xmlobj.responseBody);
    }
    ajaxobj.send();    // 发送请求
  }


//得到id
function $(id) 
{
	 if (document.getElementById != null) 
	 {
		 return document.getElementById(id);
	 }
	 else if (document.all != null) 
	 {
		return document.all[id];
	 }
	 else 
	 {
		 return null;
	 }
}

//gb2312转转utf-8函数 再xmlhttp获得数据有中文可以用到
window.gb2utf8=function(data)
{
	var glbEncode=[],t,i,j,len
	gb2utf8_data=data
	execScript("gb2utf8_data = MidB(gb2utf8_data, 1)+' '", "vbscript")
	t=escape(gb2utf8_data).replace(/%u/g,"").replace(/(.{2})(.{2})/g,"%$2%$1").replace(/%([A-Z].)%(.{2})/g,"@$1$2")
	t=t.split("@")
	i=0
	len=t.length
	while(++i<len)
	{
		j=t[i].substring(0,4)
		if(!glbEncode[j])
		{
			gb2utf8_char = eval("0x"+j)
			execScript("gb2utf8_char=Chr(gb2utf8_char)","vbscript")
			glbEncode[j]=escape(gb2utf8_char).substring(1,6)
		}
		t[i]=glbEncode[j]+t[i].substring(4)
	}
	gb2utf8_data=gb2utf8_char=null
	return unescape(t.join("%")).slice(0,-1)
}